<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Mon Dec 11 11:05:54 CET 2023 -->
<title>G-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-12-11">
<meta name="description" content="index: G">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../SatellitesBalises/module-summary.html">Module</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">R</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">V</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><a href="../SatellitesBalises/back/SimulationContext.html#getBeacons()" class="member-name-link">getBeacons()</a> - Method in class back.<a href="../SatellitesBalises/back/SimulationContext.html" title="class in back">SimulationContext</a></dt>
<dd>
<div class="block">Récupère la liste de balises.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Water.html#getBeacons()" class="member-name-link">getBeacons()</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Water.html" title="class in back.staticElement">Water</a></dt>
<dd>
<div class="block">Récupère la liste des balises.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/Satellite.html#getBeaconsInSynchro()" class="member-name-link">getBeaconsInSynchro()</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/Satellite.html" title="class in back.mobileElement">Satellite</a></dt>
<dd>
<div class="block">Récupère la liste de balises prêtes à la synchronisation.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/MobileElement.html#getBottomLeft()" class="member-name-link">getBottomLeft()</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/MobileElement.html" title="class in back.mobileElement">MobileElement</a></dt>
<dd>
<div class="block">Récupère les coordonnées bas-gauche de l'élément.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/Beacon.html#getCapacity()" class="member-name-link">getCapacity()</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/Beacon.html" title="class in back.mobileElement">Beacon</a></dt>
<dd>
<div class="block">Récupère la capacité de la balise.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/Beacon.html#getCurrentDepth()" class="member-name-link">getCurrentDepth()</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/Beacon.html" title="class in back.mobileElement">Beacon</a></dt>
<dd>
<div class="block">Récupère la profondeur actuelle de la balise.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/Beacon.html#getDefaultStrategy()" class="member-name-link">getDefaultStrategy()</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/Beacon.html" title="class in back.mobileElement">Beacon</a></dt>
<dd>
<div class="block">Récupère la stratégie de déplacement par défaut de la balise.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/MobileElement.html#getEventHandler()" class="member-name-link">getEventHandler()</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/MobileElement.html" title="class in back.mobileElement">MobileElement</a></dt>
<dd>
<div class="block">Récupère le gestionnaire d'évènements.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Space.html#getfullBeacons()" class="member-name-link">getfullBeacons()</a> - Static method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Space.html" title="class in back.staticElement">Space</a></dt>
<dd>
<div class="block">Récupère la liste de balises prêtes à la synchronisation.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Space.html#getMaxX()" class="member-name-link">getMaxX()</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Space.html" title="class in back.staticElement">Space</a></dt>
<dd>
<div class="block">Récupère la coordonnée maximale sur l'axe X.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Space.html#getMaxY()" class="member-name-link">getMaxY()</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Space.html" title="class in back.staticElement">Space</a></dt>
<dd>
<div class="block">Récupère la coordonnée maximale sur l'axe Y.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Space.html#getMinX()" class="member-name-link">getMinX()</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Space.html" title="class in back.staticElement">Space</a></dt>
<dd>
<div class="block">Récupère la coordonnée minimale sur l'axe X.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Space.html#getMinY()" class="member-name-link">getMinY()</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Space.html" title="class in back.staticElement">Space</a></dt>
<dd>
<div class="block">Récupère la coordonnée minimale sur l'axe Y.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/MobileElement.html#getMoveStrategy()" class="member-name-link">getMoveStrategy()</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/MobileElement.html" title="class in back.mobileElement">MobileElement</a></dt>
<dd>
<div class="block">Récupère la stratégie actuelle de déplacement.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/Beacon.html#getRangeSynchro()" class="member-name-link">getRangeSynchro()</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/Beacon.html" title="class in back.mobileElement">Beacon</a></dt>
<dd>
<div class="block">Récupère la zone de synchronisation de la balise.</div>
</dd>
<dt><a href="../SatellitesBalises/back/SimulationContext.html#getSatellites()" class="member-name-link">getSatellites()</a> - Method in class back.<a href="../SatellitesBalises/back/SimulationContext.html" title="class in back">SimulationContext</a></dt>
<dd>
<div class="block">Récupère la liste de satellites.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Air.html#getSatellites()" class="member-name-link">getSatellites()</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Air.html" title="class in back.staticElement">Air</a></dt>
<dd>
<div class="block">Récupère la liste de satellites.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/Beacon.html#getStorage()" class="member-name-link">getStorage()</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/Beacon.html" title="class in back.mobileElement">Beacon</a></dt>
<dd>
<div class="block">Récupère la quantitié stockable par la balise.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/MobileElement.html#getTopRight()" class="member-name-link">getTopRight()</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/MobileElement.html" title="class in back.mobileElement">MobileElement</a></dt>
<dd>
<div class="block">Récupère les coordonnées haut-droite de l'élément.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">R</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">V</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
